Class KeyOSKeySystemConfiguration.Builder

    • Nested Class Summary

      Nested Classes 
      Modifier and Type Class Description
    • Field Summary

      Fields 
      Modifier and Type Field Description
    • Enum Constant Summary

      Enum Constants 
      Enum Constant Description
    • Method Summary

      Modifier and Type Method Description
      final <Error class: unknown class> customdata(String customdata) Sets the custom data for the license acquisition request.
      final <Error class: unknown class> headers(Map<String, String> headers) The map of HTTP headers for the license acquisition request.
      final <Error class: unknown class> useCredentials(Boolean useCredentials) Sets whether the player is allowed to use credentials for cross-origin requests.
      final <Error class: unknown class> queryParameters(Map<String, String> queryParameters) Sets map of query parameters for the license acquisition request.
      final <Error class: unknown class> forceSoftwareDecrypt(Boolean forceSoftwareDecrypt) Sets whether to force decryption to happen in software.
      final KeyOSKeySystemConfiguration build() Builds the KeyOS key system configuration.
      • Methods inherited from class java.lang.Object

        clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
    • Constructor Detail

      • KeyOSKeySystemConfiguration.Builder

        KeyOSKeySystemConfiguration.Builder(String licenseAcquisitionURL)
        Parameters:
        licenseAcquisitionURL - The license acquisition URL.
    • Method Detail

      • customdata

         final <Error class: unknown class> customdata(String customdata)

        Sets the custom data for the license acquisition request.

        Parameters:
        customdata - The custom data for the license acquisition request.
      • headers

         final <Error class: unknown class> headers(Map<String, String> headers)

        The map of HTTP headers for the license acquisition request.

        Parameters:
        headers - Map of HTTP headers.
      • useCredentials

         final <Error class: unknown class> useCredentials(Boolean useCredentials)

        Sets whether the player is allowed to use credentials for cross-origin requests.

        Parameters:
        useCredentials - Whether the player is allowed to use credentials for cross-origin requests.
      • queryParameters

         final <Error class: unknown class> queryParameters(Map<String, String> queryParameters)

        Sets map of query parameters for the license acquisition request.

        Parameters:
        queryParameters - Map of query parameters for the license acquisition requests.
      • forceSoftwareDecrypt

         final <Error class: unknown class> forceSoftwareDecrypt(Boolean forceSoftwareDecrypt)

        Sets whether to force decryption to happen in software.